/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreateUserAccessTokenRequest {
    /// A description of the token usage
    #[serde(rename = "description")]
    pub description: String,
}

impl CreateUserAccessTokenRequest {
    pub fn new(description: String) -> CreateUserAccessTokenRequest {
        CreateUserAccessTokenRequest { description }
    }
}
